﻿using System;

namespace TestProject
{
    /// <summary>
    /// 연결 플래그
    /// </summary>
    [Flags]
    public enum AssocicationFlag : uint
    {
        /// <summary>
        /// None
        /// </summary>
        None = 0,

        /// <summary>
        /// InitializeNoRemapCLSID
        /// </summary>
        InitializeNoRemapCLSID = 0x1,

        /// <summary>
        /// InitializeByExecutableName
        /// </summary>
        InitializeByExecutableName = 0x2,

        /// <summary>
        /// OpenByExecutableName
        /// </summary>
        OpenByExecutableName = 0x2,

        /// <summary>
        /// InitializeDefaultToStar
        /// </summary>
        InitializeDefaultToStar = 0x4,

        /// <summary>
        /// InitiazlieDefaultToFolder
        /// </summary>
        InitiazlieDefaultToFolder = 0x8,

        /// <summary>
        /// NoUserSettings
        /// </summary>
        NoUserSettings = 0x10,

        /// <summary>
        /// NoTruncate
        /// </summary>
        NoTruncate = 0x20,

        /// <summary>
        /// Verify
        /// </summary>
        Verify = 0x40,

        /// <summary>
        /// RemapRunDll
        /// </summary>
        RemapRunDll = 0x80,

        /// <summary>
        /// NoFixUps
        /// </summary>
        NoFixUps = 0x100,

        /// <summary>
        /// IgnoreBaseClass
        /// </summary>
        IgnoreBaseClass = 0x200,

        /// <summary>
        /// InitializeIgnoreUnknown
        /// </summary>
        InitializeIgnoreUnknown = 0x400,

        /// <summary>
        /// InitializeFixedProgramID
        /// </summary>
        InitializeFixedProgramID = 0x800,

        /// <summary>
        /// IsProtocol
        /// </summary>
        IsProtocol = 0x1000,

        /// <summary>
        /// InitializeForFile
        /// </summary>
        InitializeForFile = 0x2000
    }
}