﻿using System;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        [STAThread]
        private static void Main()
        {
            Console.Title = "파일 확장자와 연결된 실행 파일 경로 구하기";

            Dictionary<string, string> dictionary = FileAssociationHelper.GetValueDictionary(@".mp3");

            foreach(KeyValuePair<string, string> keyValuePair in dictionary)
            {
                Console.WriteLine($"{keyValuePair.Key} : {keyValuePair.Value}");
            }
        }

        #endregion
    }
}