﻿namespace TestProject
{
    /// <summary>
    /// 연결 문자열
    /// </summary>
    public enum AssociationString
    {
        /// <summary>
        /// Command
        /// </summary>
        Command = 1,

        /// <summary>
        /// Executable
        /// </summary>
        Executable,

        /// <summary>
        /// FriendlyDocumentName
        /// </summary>
        FriendlyDocumentName,

        /// <summary>
        /// FriendlyApplicationName
        /// </summary>
        FriendlyApplicationName,

        /// <summary>
        /// NoOpen
        /// </summary>
        NoOpen,

        /// <summary>
        /// ShellNewValue
        /// </summary>
        ShellNewValue,

        /// <summary>
        /// DDECommand
        /// </summary>
        DDECommand,

        /// <summary>
        /// DDEIfExecutable
        /// </summary>
        DDEIfExecutable,

        /// <summary>
        /// DDEApplication
        /// </summary>
        DDEApplication,

        /// <summary>
        /// DDETopic
        /// </summary>
        DDETopic,

        /// <summary>
        /// InformationTip
        /// </summary>
        InformationTip,

        /// <summary>
        /// QuickTip
        /// </summary>
        QuickTip,

        /// <summary>
        /// TileInformation
        /// </summary>
        TileInformation,

        /// <summary>
        /// ContentType
        /// </summary>
        ContentType,

        /// <summary>
        /// DefaultIcon
        /// </summary>
        DefaultIcon,

        /// <summary>
        /// ShellExtension
        /// </summary>
        ShellExtension,

        /// <summary>
        /// DropTarget
        /// </summary>
        DropTarget,

        /// <summary>
        /// DelegateExecute
        /// </summary>
        DelegateExecute,

        /// <summary>
        /// SupportedUriProtocols
        /// </summary>
        SupportedUriProtocols,

        /// <summary>
        /// Maximum
        /// </summary>
        Maximum,
    }
}